%define with_libstdc_preview 0

Name:		scim-pinyin
Version:	0.5.91
Release:        13%{?dist}
Summary:	Smart Pinyin IMEngine for Smart Common Input Method platform

License:	GPL
Group:		System Environment/Libraries
URL:		http://www.scim-im.org/projects/imengines/
Source0:	http://dl.sourceforge.net/scim/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	scim-devel, gtk2-devel, gettext, gettext-devel, autoconf, automake,libtool
%if %{with_libstdc_preview}
Buildrequires: libstdc++so7-devel
%endif
Requires:	scim
Obsoletes:	iiimf-le-chinput <= 0.3
Patch1:         scim-pinyin-shuangpin.patch
Patch2:         scim-pinyin-showallkeys.patch
Patch3:         scim-pinyin-helper.patch
Patch4:         scim-pinyin-helper.bz200702.patch

%description
Simplified Chinese Smart Pinyin IMEngine for SCIM.


%prep
%setup -q
%patch1 -p1 -b .1-shuangpin
%patch2 -p1 -b .2-showallkeys
%patch3 -p1 -b .3-helper
%patch4 -p1 -b .4-helper.bz200702
rm -f po/stamp-po
rm -f po/zh_CN.gmo


%build
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
./bootstrap
%configure --disable-static
%if %{with_libstdc_preview}
# tweak libtool for libstdc++-so7
sed -i -e "s/4.1.0 /4.2.0-`grep datestamp= %{_bindir}/g++-libstdc++-so_7 | sed -e "s/datestamp=//"` /" libtool
%endif
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
make DESTDIR=${RPM_BUILD_ROOT} install

rm $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/{IMEngine,SetupUI}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/Helper/*.la

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/scim-1.0/*/IMEngine/pinyin.so
%{_libdir}/scim-1.0/*/SetupUI/pinyin-imengine-setup.so
%{_libdir}/scim-1.0/*/Helper/pinyin-imengine-helper.so
%{_datadir}/scim/pinyin
%{_datadir}/scim/icons/smart-pinyin.png


%changelog
* Thu Oct 16 2006 Qian Shen <qshen@redhat.com> - 0.5.91-13
- add Caius Chance's patch for bz#200702 - refine online help of pinyin helper. 

* Thu Sep 14 2006 Qian Shen <qshen@redhat.com> - 0.5.91-12
- fix a pinyin helper bug

* Fri Aug 25 2006 Qian Shen <qshen@redhat.com> - 0.5.91-11.4
- update pinyin helper

* Mon Jul 24 2006 Qian Shen <qshen@redhat.com> - 0.5.91-11.3
- remove all ShuangPin plans

* Thu Jul 20 2006 Qian Shen <qshen@redhat.com> - 0.5.91-11.2
- remove " g_object_set ( renderer_num, "alignment", 0.5, NULL) " in add_column() to fit gtk2.10 in fc6

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Thu Jun 29 2006 Qian Shen <qshen@redhat.com> - 0.5.91-11
- rebuilt

* Thu Jun 29 2006 Qian Shen <qshen@redhat.com> - 0.5.91-10
- add gettext-devel, automake, autoconf,libtool to buildreq 
- use ./bootstrap

* Thu Jun 29 2006 Qian Shen <qshen@redhat.com> - 0.5.91-9
- run aclocal/autoconf/automake before configure
- to create new confiugre/Makefiles based on the 
- modified configure.ac 

* Thu Jun 29 2006 Qian Shen <qshen@redhat.com> - 0.5.91-8
- use rm -f ../Helper/*.la

* Thu Jun 29 2006 Qian Shen <qshen@redhat.com> - 0.5.91-7.1
- rebuilt 

* Wed Jun 28 2006 Qian Shen <qshen@redhat.com> - 0.5.91-7
- add pinyin-imengine-helper.so to the files section. rebuilt 

* Tue Jun 27 2006 Qian Shen <qshen@redhat.com> - 0.5.91-6
- add scim-pinyin-helper.patch

* Fri Mar 31 2006 Jens Petersen <petersen@redhat.com> - 0.5.91-5
- rebuild without libstdc++so7

* Mon Feb 13 2006 Qian Shen <qshen@redhat.com> - 0.5.91-4.3
- add scim-pinyin-showallkeys.patch

* Mon Feb 13 2006 Jens Petersen <petersen@redhat.com>
- remove superfluous post and postun scripts

* Mon Feb 13 2006 Qian Shen <qshen@redhat.com> - 0.5.91-4.2
- add scim-pinyin-shuangpin.patch

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.5.91-4.1
- bump again for double-long bug on ppc(64)

* Thu Feb  9 2006 Jens Petersen <petersen@redhat.com> - 0.5.91-4
- build conditionally with libstdc++so7 preview library (#166041)
  - add with_libstdc_preview switch and tweak libtool to link against it
- update filelist since moduledir is now api-versioned

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov 14 2005 Jens Petersen <petersen@redhat.com> - 0.5.91-3
- add obsoletes iiimf-le-chinput for upgrades (#173071)

* Thu Oct  6 2005 Jens Petersen <petersen@redhat.com> - 0.5.91-2
- require scim

* Tue Aug 16 2005 Jens Petersen <petersen@redhat.com> - 0.5.91-1
- update to 0.5.91 test release
  - scim-pinyin-0.5.0-setup-ambiguity-cast.patch no longer needed

* Mon Aug  8 2005 Jens Petersen <petersen@redhat.com> - 0.5.0-5
- initial build for Fedora Core

* Wed Jul 27 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com> - 0.5.0-4
- Rebuild for scim-1.4.0

* Tue Jun 21 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com> - 0.5.0-3
- minor change on the files section

* Mon Jun 20 2005 Jens Petersen <petersen@redhat.com> - 0.5.0-2
- add source url
- add scim-pinyin-0.5.0-setup-ambiguity-cast.patch from cvs to fixing build
  on 64bit archs (Ryo Dairiki)
- configure with --disable-static so only .la files need to be removed

* Sat Jun 18 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.0-1
- Initial packaging for Fedora Extras.

* Thu Jan 06 2005 James Su <suzhe@tsinghua.org.cn>
- Change package name to scim-pinyin.

* Mon Apr 26 2004 James Su <suzhe@tsinghua.org.cn>
- change the license to GPL.

* Thu Jun 19 2003 James Su <suzhe@tsinghua.org.cn>
- updated to include setup module.

* Thu May 22 2003 James Su <suzhe@tsinghua.org.cn>
- upto v0.2.1

* Mon Mar 31 2003 James Su <suzhe@tsinghua.org.cn>
- upto v0.2.0

* Sun Jul 7 2002 James Su <suzhe@tsinghua.org.cn>
- first public release of SCIM-chinese.


